PHPunit:PHP7.0:MySQL:
  stage: test
  image: containers.ethitter.com:443/docker/images/php:7.0
  services:
    - mysql:5.6
  variables:
    WP_VERSION: 6.5.5
  script:
    - find . -type "f" -iname "*.php" | xargs -L "1" php -l
    - phpunit

PHPunit:PHP7.1:MySQL:
  stage: test
  image: containers.ethitter.com:443/docker/images/php:7.1
  services:
    - mysql:5.6
  variables:
    WP_VERSION: 6.5.5
  script:
    - find . -type "f" -iname "*.php" | xargs -L "1" php -l
    - phpunit

PHPunit:PHP7.2:MySQL:
  stage: test
  image: containers.ethitter.com:443/docker/images/php:7.2
  services:
    - mysql:5.6
  script:
    - find . -type "f" -iname "*.php" | xargs -L "1" php -l
    - phpunit

PHPunit:PHP7.3:MySQL:
  stage: test
  image: containers.ethitter.com:443/docker/images/php:7.3
  services:
    - mysql:5.6
  script:
    - find . -type "f" -iname "*.php" | xargs -L "1" php -l
    - phpunit

PHPunit:PHP7.4:MySQL:
  stage: test
  image: containers.ethitter.com:443/docker/images/php:7.4
  services:
    - mysql:5.6
  script:
    - find . -type "f" -iname "*.php" | xargs -L "1" php -l
    - phpunit

PHPunit:PHP8.0:MySQL:
  stage: test
  image: containers.ethitter.com:443/docker/images/php:8.0
  services:
    - mysql:5.6
  script:
    - find . -type "f" -iname "*.php" | xargs -L "1" php -l
    - phpunit

PHPunit:PHP8.1:MySQL:
  stage: test
  image: containers.ethitter.com:443/docker/images/php:8.1
  services:
    - mysql:5.6
  script:
    - find . -type "f" -iname "*.php" | xargs -L "1" php -l
    - phpunit
  allow_failure: true

PHPCS:
  stage: test
  image: containers.ethitter.com:443/docker/images/php:7.4
  before_script:
    - composer global require automattic/vipwpcs
    - composer global require phpcompatibility/phpcompatibility-wp
    - phpcs --config-set installed_paths $HOME/.composer/vendor/wp-coding-standards/wpcs,$HOME/.composer/vendor/automattic/vipwpcs,$HOME/.composer/vendor/phpcompatibility/php-compatibility,$HOME/.composer/vendor/phpcompatibility/phpcompatibility-paragonie,$HOME/.composer/vendor/phpcompatibility/phpcompatibility-wp,$HOME/.composer/vendor/sirbrillig/phpcs-variable-analysis
    - phpcs --config-show
  script:
    - phpcs -n

PluginSVN:
  stage: deploy
  image: containers.ethitter.com:443/docker/wp-org-plugin-deploy:latest
  before_script:
    - curl -o ./bin/deploy.sh https://git-cdn.e15r.co/open-source/wp-org-plugin-deploy/raw/master/scripts/deploy.sh
    - chmod +x ./bin/deploy.sh
  script: ./bin/deploy.sh
  when: on_success
